usb_buffer_free
Prev | Chapter 5. USB Core APIs | Next

## Name

usb_buffer_free — free memory allocated with `usb_buffer_alloc`

## Synopsis

`void usb_buffer_free (` | struct usb_device * | dev,
| size_t | size,
| void * | addr,
| dma_addr_t | dma`)`;

## Arguments

`dev`

  device the buffer was used with

`size`

  requested buffer size

`addr`

  CPU address of buffer

`dma`

  DMA address of buffer

## Description

This reclaims an I/O buffer, letting it be reused. The memory must have been allocated using `usb_buffer_alloc`, and the parameters must match those provided in that allocation request.

Prev | Up | Next
usb_buffer_alloc | Home | usb_buffer_map